CONDOR_HOST = condor-cm

use security:host_based

# Give all permissions to all connecting parties (this is a security risk, but since this pool is local-only I think it's fine  -nhertz)
ALLOW_WRITE = *
ALLOW_READ = *
ALLOW_DAEMON = *
ALLOW_ADMINISTRATOR = *

# Disable authentication (another security risk)
SEC_DEFAULT_AUTHENTICATION=NEVER
SEC_DEFAULT_INTEGRITY=NEVER
SEC_DEFAULT_NEGOTIATION=NEVER

# Add flag to ensure our lustre-needing workflows can run on our cluster
HASLUSTRE = True
STARTD_ATTRS = $(STARTD_ATTRS) HASLUSTRE NRAO_TRANSFER_HOST

# Add flag to ensure the file transfer plugin behaves with our local setup
NRAO_TRANSFER_HOST = "LOCAL"
STARTD_ATTRS = $(STARTD_ATTRS) NRAO_TRANSFER_HOST

# Plugins
FILETRANSFER_PLUGINS = $(FILETRANSFER_PLUGINS), /usr/libexec/condor/nraorsync_plugin.py

PoolName = "workspaces"
